読者です 読者をやめる 読者になる 読者になる

Connection using old (pre-4.1.1) auth・・

MySQL ワークベンチをバージョン 6.2 にしたら、バージョンで接続でできていたDBに繋がらなくなった。

Connection using old (pre-4.1.1) authentication protocol refused (client option 'secure_auth' enabled)?


もうかなり前に、チケットがあり解決方法も書いてある。
http://bugs.mysql.com/bug.php?id=70023

古いDBの認証方法っだということらしく、

useLegacyAuth=1

つまり、MySQLワークベンチでは、コネクションマネージメントで以下のように、
Advanced タブを開いて、Use the old authentication protocol. にチェックを入れれば良い。


この時のDBだけがそうなのか、はっきりしないが、
  Use commpression protocol
もチェックをいれないとダメだった。

f:id:posturan:20160313190109j:plain